/**
 * @file
 * Attaches the behaviors for the SN QUICK Add field data module.
 */

(function($) {
    Drupal.behaviors.quick_data = {
        attach: function (context, settings) {
            if(settings.quick_data !== undefined && settings.quick_data.entity_type != "data"){
              $(".widget-type-select option:selected").parent().siblings().hide();
              $(".field-type-select").change(function() {
                var type_label = $(this).find(":selected").text();
                $(this).closest("tr").find(".widget-type-select").find("optgroup, option").hide().filter("[label='" + type_label+ "'], [label='" + type_label + "'] > *").show().find("option:first").attr("selected","selected");
              });
            }
            $(".field-machine-name a").click(function(event) {
              event.preventDefault();
              $(this).closest("td").find("input").prop("type", "text");
              $(this).parents("small").find(".machine-name-value").remove();
            });
        }
    };
    Drupal.behaviors.quick_data_import = {
        attach: function (context, settings) {
          $("#export").click(function(event) {
            let outputCSV = $(this).parent().find('#export-header').text();
            var universalBOM = "\uFEFF";
            let blobby = 'data:application/csv;charset=utf-8,' + encodeURIComponent(universalBOM + outputCSV);
            $(this).attr({
              'href': blobby,
              'target': '_blank'
            });
          });
        }
    };
})(jQuery);
